import{_ as c}from"./plugin-vue_export-helper-c27b6911.js";import{r as l,o as h,c as u,b as n,w as a,a as t,d as e,e as r}from"./app-e0095480.js";const p={},v=r('<div class="hint-container tip"><p class="hint-container-title">提示</p><p>对于下述消息类型, 涉及 <code>文件地址</code> 的参数规则如下:</p><ul><li>可以是本地文件路径, 以 <code>file://</code> 开头。</li><li>可以是 http(s) 链接, 以 <code>http://</code> 或 <code>https://</code> 开头。</li><li>可以是 base64 编码的数据, 但是必须以 <code>base64://</code> 开头。</li></ul></div><h2 id="图片" tabindex="-1"><a class="header-anchor" href="#图片" aria-hidden="true">#</a> 图片</h2><h3 id="参数" tabindex="-1"><a class="header-anchor" href="#参数" aria-hidden="true">#</a> 参数</h3><table><thead><tr><th>字段</th><th>类型</th><th>收</th><th>发</th><th>必填</th><th>说明</th></tr></thead><tbody><tr><td>file</td><td>string</td><td>✓</td><td>✓</td><td>是</td><td>图片文件地址</td></tr><tr><td>url</td><td>string</td><td>✓</td><td>✓</td><td>否</td><td>图片链接地址</td></tr><tr><td>type</td><td>string</td><td>✓</td><td>x</td><td>否</td><td>图片类型, 分为<code>show</code>, <code>flash</code>, <code>original</code></td></tr><tr><td>subType</td><td>int32</td><td>✓</td><td>x</td><td>否</td><td>图片子类型</td></tr></tbody></table>',4),b=t("div",{class:"language-text line-numbers-mode","data-ext":"text"},[t("pre",{class:"language-text"},[t("code",null,`[CQ:image,file=file:///sdcard/Pictures/shamrock.png]
`)]),t("div",{class:"line-numbers","aria-hidden":"true"},[t("div",{class:"line-number"})])],-1),m=t("div",{class:"language-json line-numbers-mode","data-ext":"json"},[t("pre",{class:"language-json"},[t("code",null,[t("span",{class:"token punctuation"},"{"),e(`
  `),t("span",{class:"token property"},'"type"'),t("span",{class:"token operator"},":"),e(),t("span",{class:"token string"},'"image"'),t("span",{class:"token punctuation"},","),e(`
  `),t("span",{class:"token property"},'"data"'),t("span",{class:"token operator"},":"),e(),t("span",{class:"token punctuation"},"{"),e(`
    `),t("span",{class:"token property"},'"file"'),t("span",{class:"token operator"},":"),e(),t("span",{class:"token string"},'"file:///sdcard/Pictures/shamrock.png"'),e(`
  `),t("span",{class:"token punctuation"},"}"),e(`
`),t("span",{class:"token punctuation"},"}"),e(`
`)])]),t("div",{class:"line-numbers","aria-hidden":"true"},[t("div",{class:"line-number"}),t("div",{class:"line-number"}),t("div",{class:"line-number"}),t("div",{class:"line-number"}),t("div",{class:"line-number"}),t("div",{class:"line-number"})])],-1),k=r('<h3 id="图片子类型" tabindex="-1"><a class="header-anchor" href="#图片子类型" aria-hidden="true">#</a> 图片子类型</h3><table><thead><tr><th>value</th><th>说明</th></tr></thead><tbody><tr><td>0</td><td>正常图片</td></tr><tr><td>1</td><td>表情包, 在客户端会被分类到表情包图片并缩放显示</td></tr><tr><td>2</td><td>热图</td></tr><tr><td>3</td><td>斗图</td></tr><tr><td>4</td><td>智图?</td></tr><tr><td>7</td><td>贴图</td></tr><tr><td>8</td><td>自拍</td></tr><tr><td>9</td><td>贴图广告?</td></tr><tr><td>10</td><td>有待测试</td></tr><tr><td>13</td><td>热搜图</td></tr></tbody></table><h2 id="语音" tabindex="-1"><a class="header-anchor" href="#语音" aria-hidden="true">#</a> 语音</h2><h3 id="参数-1" tabindex="-1"><a class="header-anchor" href="#参数-1" aria-hidden="true">#</a> 参数</h3><table><thead><tr><th>字段</th><th>类型</th><th>收</th><th>发</th><th>必填</th><th>说明</th></tr></thead><tbody><tr><td>file</td><td>string</td><td>×</td><td>✓</td><td>是</td><td>语音文件地址</td></tr><tr><td>url</td><td>string</td><td>✓</td><td>✓</td><td>否</td><td>语音链接地址</td></tr><tr><td>magic</td><td>bool</td><td>×</td><td>✓</td><td>否</td><td>是否为魔法语音</td></tr></tbody></table>',5),g=t("div",{class:"language-text line-numbers-mode","data-ext":"text"},[t("pre",{class:"language-text"},[t("code",null,`[CQ:record,file=file:///sdcard/Music/shamrock.mp3]
`)]),t("div",{class:"line-numbers","aria-hidden":"true"},[t("div",{class:"line-number"})])],-1),_=t("div",{class:"language-json line-numbers-mode","data-ext":"json"},[t("pre",{class:"language-json"},[t("code",null,[t("span",{class:"token punctuation"},"{"),e(`
  `),t("span",{class:"token property"},'"type"'),t("span",{class:"token operator"},":"),e(),t("span",{class:"token string"},'"record"'),t("span",{class:"token punctuation"},","),e(`
  `),t("span",{class:"token property"},'"data"'),t("span",{class:"token operator"},":"),e(),t("span",{class:"token punctuation"},"{"),e(`
    `),t("span",{class:"token property"},'"file"'),t("span",{class:"token operator"},":"),e(),t("span",{class:"token string"},'"file:///sdcard/Music/shamrock.mp3"'),e(`
  `),t("span",{class:"token punctuation"},"}"),e(`
`),t("span",{class:"token punctuation"},"}"),e(`
`)])]),t("div",{class:"line-numbers","aria-hidden":"true"},[t("div",{class:"line-number"}),t("div",{class:"line-number"}),t("div",{class:"line-number"}),t("div",{class:"line-number"}),t("div",{class:"line-number"}),t("div",{class:"line-number"})])],-1),f={class:"hint-container warning"},x=t("p",{class:"hint-container-title"},"注意",-1),y=r('<h2 id="视频" tabindex="-1"><a class="header-anchor" href="#视频" aria-hidden="true">#</a> 视频</h2><h3 id="参数-2" tabindex="-1"><a class="header-anchor" href="#参数-2" aria-hidden="true">#</a> 参数</h3><table><thead><tr><th>字段</th><th>类型</th><th>收</th><th>发</th><th>必填</th><th>说明</th></tr></thead><tbody><tr><td>file</td><td>string</td><td>×</td><td>✓</td><td>是</td><td>视频文件地址</td></tr></tbody></table>',3),A=t("div",{class:"language-text line-numbers-mode","data-ext":"text"},[t("pre",{class:"language-text"},[t("code",null,`[CQ:video,file=file:///sdcard/Movies/shamrock.mp4]
`)]),t("div",{class:"line-numbers","aria-hidden":"true"},[t("div",{class:"line-number"})])],-1),C=t("div",{class:"language-json line-numbers-mode","data-ext":"json"},[t("pre",{class:"language-json"},[t("code",null,[t("span",{class:"token punctuation"},"{"),e(`
  `),t("span",{class:"token property"},'"type"'),t("span",{class:"token operator"},":"),e(),t("span",{class:"token string"},'"video"'),t("span",{class:"token punctuation"},","),e(`
  `),t("span",{class:"token property"},'"data"'),t("span",{class:"token operator"},":"),e(),t("span",{class:"token punctuation"},"{"),e(`
    `),t("span",{class:"token property"},'"file"'),t("span",{class:"token operator"},":"),e(),t("span",{class:"token string"},'"file:///sdcard/Movies/shamrock.mp4"'),e(`
  `),t("span",{class:"token punctuation"},"}"),e(`
`),t("span",{class:"token punctuation"},"}"),e(`
`)])]),t("div",{class:"line-numbers","aria-hidden":"true"},[t("div",{class:"line-number"}),t("div",{class:"line-number"}),t("div",{class:"line-number"}),t("div",{class:"line-number"}),t("div",{class:"line-number"}),t("div",{class:"line-number"})])],-1);function j(Q,w){const i=l("Tabs"),o=l("RouterLink");return h(),u("div",null,[v,n(i,{id:"134",data:[{id:"CQ 码"},{id:"消息段"}]},{title0:a(({value:s,isActive:d})=>[e("CQ 码")]),title1:a(({value:s,isActive:d})=>[e("消息段")]),tab0:a(({value:s,isActive:d})=>[b]),tab1:a(({value:s,isActive:d})=>[m]),_:1}),k,n(i,{id:"331",data:[{id:"CQ 码"},{id:"消息段"}]},{title0:a(({value:s,isActive:d})=>[e("CQ 码")]),title1:a(({value:s,isActive:d})=>[e("消息段")]),tab0:a(({value:s,isActive:d})=>[g]),tab1:a(({value:s,isActive:d})=>[_]),_:1}),t("div",f,[x,t("p",null,[e("发送语音消息需要安装语音引擎，可以在 "),n(o,{to:"/advanced/voice.html"},{default:a(()=>[e("这里")]),_:1}),e(" 查看。")])]),y,n(i,{id:"396",data:[{id:"CQ 码"},{id:"消息段"}]},{title0:a(({value:s,isActive:d})=>[e("CQ 码")]),title1:a(({value:s,isActive:d})=>[e("消息段")]),tab0:a(({value:s,isActive:d})=>[A]),tab1:a(({value:s,isActive:d})=>[C]),_:1})])}const T=c(p,[["render",j],["__file","media.html.vue"]]);export{T as default};
